Bug 872382 - (PRODMGT-248) Not possible to filter events by date and time range
Not possible to filter events by date and time range
Status: NEW
Product: JBoss Operations Network
Classification: JBoss
Component: Monitoring - Events (Show other bugs)
JON 3.1.1
All All
unspecified Severity medium
: ---
: JON 4.0.0
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On: 856695
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-01 20:06 EDT by Charles Crouch
Modified: 2015-09-29 15:52 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 856695
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker PRODMGT-248 Major Pending Product Management Triage Need ability to filter event logs by date/time period 2015-10-23 15:18 EDT
Red Hat Knowledge Base (Solution) 208583 None None None Never

  None (edit)
Description Charles Crouch 2012-11-01 20:06:41 EDT
+++ This bug was initially created as a clone of Bug #856695 +++

Description of problem:

There is no way to filter the even display down to a specific time range)

Pre GWT this was possible via the global metric range settings.

I don't think that re-introducing the global metric range setting is right here, 
but it should be possible to filter like on the Recent Operations/Recent Alerts reports with a start or end date. If none are given, the default (as is) should be taken.

--- Additional comment from hrupp@redhat.com on 2012-09-13 05:22:32 EDT ---

Initial implementation is in master 82877c7c61a21cc22

The picker could probably be improved to allow to select the time as well.

The new class DateTimeFilterItem probably needs some love too.

Also the whole events history tab could be passed by some UXD expert.

--- Additional comment from mithomps@redhat.com on 2012-09-17 11:27:13 EDT ---



The UI could be cleaned up as the default time widget created by smartGWT is very simplistic. Heiko had found a better looking widget:
http://sgwidgets.googlecode.com/svn/trunk/sgwidgets-demo/1.0.0/index.html

However, it is not i18n compatible. So while it would be easy to add this widget; making it i18n for the various timezone formats (and Daylight Savings Time issues) and languages is quite a daunting task.

To summarize: making it look pretty is easy, make it work internationally is very difficult.
Comment 1 Charles Crouch 2012-11-01 20:07:47 EDT
Created this bug to make sure we have a downstream issue corresponding to https://issues.jboss.org/browse/PRODMGT-248 targeting JON4.0
Comment 3 Jay Shaughnessy 2014-08-25 16:22:53 EDT
This worked perfectly for me.  I don't find the time portion tricky at all. Click on the date you care about, update the time as needed. Worked.  I think this is fine, setting ON_QA.
Comment 6 Mike Thompson 2014-08-25 17:59:04 EDT
The technical issues behind this are a decent looking time widget that can support i18n and the various time zones/display formats. This is further limited by Isomorphic recommendation that regular GWT components not be used with smartGWT.
Comment 7 Mike Thompson 2014-08-25 22:54:33 EDT
Relative time ranges would not be that difficult to add though like: 10m, 30m, 1h, 4h, 1d
Comment 8 Jay Shaughnessy 2014-08-26 11:48:42 EDT
Given that it's doable today with the current widget, this won't make 3.3.0,  Pushing to post-ga.

Note You need to log in before you can comment on or make changes to this bug.